<?xml version="1.0"?>
<!-- This file is part of Tryton.  The COPYRIGHT file at the top level of
this repository contains the full copyright notices and license terms. -->
<tryton>
    <data>

        <record model="ir.ui.view" id="hotel_channel_commission_view_tree">
            <field name="model">hotel.channel.commission</field>
            <field name="type">tree</field>
            <field name="name">channel_commission_tree</field>
        </record>
        <record model="ir.ui.view" id="hotel_channel_commission_view_form">
            <field name="model">hotel.channel.commission</field>
            <field name="type">form</field>
            <field name="name">channel_commission_form</field>
        </record>

        <record model="ir.ui.view" id="hotel_channel_view_tree">
            <field name="model">hotel.channel</field>
            <field name="type">tree</field>
            <field name="name">channel_tree</field>
        </record>
        <record model="ir.ui.view" id="hotel_channel_view_form">
            <field name="model">hotel.channel</field>
            <field name="type">form</field>
            <field name="name">channel_form</field>
        </record>
        <record model="ir.action.act_window" id="act_channel_form">
            <field name="name">Channel</field>
            <field name="res_model">hotel.channel</field>
        </record>
        <record model="ir.action.act_window.view" id="act_channel_form_view1">
            <field name="sequence" eval="10"/>
            <field name="view" ref="hotel_channel_view_tree"/>
            <field name="act_window" ref="act_channel_form"/>
        </record>
        <record model="ir.action.act_window.view" id="act_channel_form_view2">
            <field name="sequence" eval="20"/>
            <field name="view" ref="hotel_channel_view_form"/>
            <field name="act_window" ref="act_channel_form"/>
        </record>
        <menuitem name="Channel" parent="hotel.menu_configuration" sequence="70"
            action="act_channel_form" id="menu_hotel_channel"/>

        <!-- Model Access -->
        <record model="ir.model.access" id="access_channel">
            <field name="model" search="[('model', '=', 'hotel.channel')]"/>
            <field name="perm_read" eval="False"/>
            <field name="perm_write" eval="False"/>
            <field name="perm_create" eval="False"/>
            <field name="perm_delete" eval="False"/>
        </record>
        <record model="ir.model.access" id="access_channel_group_hotel">
            <field name="model" search="[('model', '=', 'hotel.channel')]"/>
            <field name="group" ref="group_hotel"/>
            <field name="perm_read" eval="True"/>
            <field name="perm_write" eval="False"/>
            <field name="perm_create" eval="False"/>
            <field name="perm_delete" eval="False"/>
        </record>
        <record model="ir.model.access" id="access_channel_group_hotel_admin">
            <field name="model" search="[('model', '=', 'hotel.channel')]"/>
            <field name="group" ref="group_hotel_admin"/>
            <field name="perm_read" eval="True"/>
            <field name="perm_write" eval="True"/>
            <field name="perm_create" eval="True"/>
            <field name="perm_delete" eval="True"/>
        </record>

    </data>
</tryton>
